Foxit PDF Conversion SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFConversionSDKPython2.Excel2PDFSettingData Class Reference

Inherits FoxitPDFConversionSDKPython2._object.

## Public Member Functions
def | Excel2PDFSettingData ()
| Constructor. More...
def | Set (is_separate_workbook, is_output_hidden_worksheets, worksheet_names)
| Set value. More...

## Static Public Attributes
| is_output_hidden_worksheets = _fpdfconversionsdk.Excel2PDFSettingData_is_output_hidden_worksheets
| A boolean value which indicates whether to output the hidden worksheets. More...
| is_separate_workbook = _fpdfconversionsdk.Excel2PDFSettingData_is_separate_workbook
| A boolean value which indicates whether to export worksheets to separate PDF files. More...
| worksheet_names = _fpdfconversionsdk.Excel2PDFSettingData_worksheet_names
| An array of specific worksheet names to be converted to PDF files. More...

## Detailed Description

This class represents setting data used for converting Excel format files to PDF format files.

## Constructor & Destructor Documentation

## ◆ Excel2PDFSettingData()

def FoxitPDFConversionSDKPython2.Excel2PDFSettingData.Excel2PDFSettingData | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

## Member Function Documentation

## ◆ Set()

def FoxitPDFConversionSDKPython2.Excel2PDFSettingData.Set | ( |  | is_separate_workbook,
|  |  | is_output_hidden_worksheets,
|  |  | worksheet_names
| ) |  |

Set value.

Parameters

  [in] | is_separate_workbook | A boolean value which indicates whether to export worksheets to separate PDF files.
  [in] | is_output_hidden_worksheets | A boolean value which indicates whether to output the hidden worksheets.
  [in] | worksheet_names | An array of specific worksheet names to be converted to PDF files.

Returns
  None.

## Member Data Documentation

## ◆ is_output_hidden_worksheets

FoxitPDFConversionSDKPython2.Excel2PDFSettingData.is_output_hidden_worksheets = _fpdfconversionsdk.Excel2PDFSettingData_is_output_hidden_worksheets
| static

A boolean value which indicates whether to output the hidden worksheets.

true means to output the hidden worksheets, while false means not.

## ◆ is_separate_workbook

FoxitPDFConversionSDKPython2.Excel2PDFSettingData.is_separate_workbook = _fpdfconversionsdk.Excel2PDFSettingData_is_separate_workbook
| static

A boolean value which indicates whether to export worksheets to separate PDF files.

true means to export each worksheet to separate PDF files, while false means not.

## ◆ worksheet_names

FoxitPDFConversionSDKPython2.Excel2PDFSettingData.worksheet_names = _fpdfconversionsdk.Excel2PDFSettingData_worksheet_names
| static

An array of specific worksheet names to be converted to PDF files.

If this array is empty, all worksheets will be converted to PDF files.